main()
{
int	spaced;
int	c;

	spaced = 0;
	while	((c=getchar())>=0)
		{
		if	(spaced)
			{
			if	(c!=' ')
				{
				putchar(c);
				spaced = 0;
				}
			}
		else
			{
			putchar(c);
			spaced = (c==' ');
			}
		;
		}
	;
}
